Bug 124612 - JJ: kwin fulscreen / un-fullscreen system notifications
Summary: JJ: kwin fulscreen / un-fullscreen system notifications
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: core (show other bugs)
Version: unspecified
Platform: Mandriva RPMs Linux
: NOR wishlist (vote)
Target Milestone: 4.9
Assignee: KWin default assignee
URL: https://git.reviewboard.kde.org/r/104...
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2006-03-31 03:58 UTC by Rob Dixon
Modified: 2012-04-07 09:11 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.9.0


Attachments
Proposed patch adding notifications for events when window becomes fullscreen (2.40 KB, patch)
2008-11-04 23:00 UTC, mccope
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rob Dixon 2006-03-31 03:58:28 UTC
Version:            (using KDE KDE 3.4.2)
Installed from:    Mandriva RPMs

Hi,

Just a quick feature request. I'd like to see system notifications added for when a window enters and leaves fullscreen mode.

I personally would use this to run a little app that dims the lights on my front panel whenever I'm  watching a movie full screen, but I'm sure there would be other applications. Perhaps some other notifications could be added as well e.g. for border/no border.

Thanks for your time.

Rob
Comment 1 Lubos Lunak 2006-04-19 19:28:43 UTC
I'm afraid this can't go to KDE3.x because of string freeze. Otherwise this should be rather simple, basically just extending kwin/notifications.*, kwin/eventsrc and adding calls to places where changes take place.
Comment 2 mccope 2008-11-04 23:00:00 UTC
Created attachment 28330 [details]
Proposed patch adding notifications for events when window becomes fullscreen

Attached is a patch that adds notification events for a window becoming fullscreen and restoring back from fullscreen.

The name & comment for the events in kwin.notifyrc might need to be looked at - perhaps the descriptions could be clearer?

This is my first patch submission, so please be gentle ;-)
Comment 3 Martin Flöser 2012-03-13 20:40:46 UTC
I am very sorry that we missed this patch. Unfortunately this is something which can happen as  bugzilla does not properly notify the developers.

If you want you could submit the patch to http://reviewboard.kde.org for group kwin. I assume that the patch should mostly still apply modulo some whitespace changes.
Comment 4 Martin Flöser 2012-04-01 15:08:38 UTC
Review Request created: https://git.reviewboard.kde.org/r/104457/
Comment 5 Martin Flöser 2012-04-07 09:11:23 UTC
Git commit baa30c8e659306d24df9379fd4a0b659adbbfe51 by Martin Gräßlin.
Committed on 01/04/2012 at 17:05.
Pushed by graesslin into branch 'master'.

Add notifications for Window goes to/fro Fullscreen
FIXED-IN: 4.9.0
REVIEW: 104457

M  +5    -0    kwin/geometry.cpp
M  +8    -0    kwin/kwin.notifyrc
M  +6    -0    kwin/notifications.cpp
M  +2    -0    kwin/notifications.h

http://commits.kde.org/kde-workspace/baa30c8e659306d24df9379fd4a0b659adbbfe51